
From: Marcelo Tosatti <marcelo.tosatti@cyclades.com>

The callout code has been removed long ago from 2.6.  I believe it is safe
to remove some of its unused defines.


---

 drivers/char/rocket_int.h  |    2 --
 include/linux/isicom.h     |    1 -
 include/linux/serial.h     |    1 -
 include/linux/tty_driver.h |    1 -
 4 files changed, 5 deletions(-)

diff -puN drivers/char/rocket_int.h~remove-tty-CALLOUT-defines drivers/char/rocket_int.h
--- 25/drivers/char/rocket_int.h~remove-tty-CALLOUT-defines	2004-02-25 04:14:58.000000000 -0800
+++ 25-akpm/drivers/char/rocket_int.h	2004-02-25 04:14:58.000000000 -0800
@@ -1231,11 +1231,9 @@ struct r_port {
 #define ROCKET_INITIALIZED	0x80000000	/* Port is active */
 #define ROCKET_CLOSING		0x40000000	/* Serial port is closing */
 #define ROCKET_NORMAL_ACTIVE	0x20000000	/* Normal port is active */
-#define ROCKET_CALLOUT_ACTIVE	0x10000000	/* Callout port is active */
 
 /* tty subtypes */
 #define SERIAL_TYPE_NORMAL 1
-#define SERIAL_TYPE_CALLOUT 2
 
 /*
  * Assigned major numbers for the Comtrol Rocketport
diff -puN include/linux/isicom.h~remove-tty-CALLOUT-defines include/linux/isicom.h
--- 25/include/linux/isicom.h~remove-tty-CALLOUT-defines	2004-02-25 04:14:58.000000000 -0800
+++ 25-akpm/include/linux/isicom.h	2004-02-25 04:14:58.000000000 -0800
@@ -73,7 +73,6 @@ typedef	struct	{
 #define		PORT_COUNT	(BOARD_COUNT*16)
 
 #define		SERIAL_TYPE_NORMAL	1
-#define		SERIAL_TYPE_CALLOUT	2
 
 /*   character sizes  */
 
diff -puN include/linux/serial.h~remove-tty-CALLOUT-defines include/linux/serial.h
--- 25/include/linux/serial.h~remove-tty-CALLOUT-defines	2004-02-25 04:14:58.000000000 -0800
+++ 25-akpm/include/linux/serial.h	2004-02-25 04:14:58.000000000 -0800
@@ -131,7 +131,6 @@ struct serial_uart_config {
 
 /* Internal flags used only by kernel/chr_drv/serial.c */
 #define ASYNC_INITIALIZED	0x80000000 /* Serial port was initialized */
-#define ASYNC_CALLOUT_ACTIVE	0x40000000 /* Call out device is active */
 #define ASYNC_NORMAL_ACTIVE	0x20000000 /* Normal device is active */
 #define ASYNC_BOOT_AUTOCONF	0x10000000 /* Autoconfigure port on bootup */
 #define ASYNC_CLOSING		0x08000000 /* Serial port is closing */
diff -puN include/linux/tty_driver.h~remove-tty-CALLOUT-defines include/linux/tty_driver.h
--- 25/include/linux/tty_driver.h~remove-tty-CALLOUT-defines	2004-02-25 04:14:58.000000000 -0800
+++ 25-akpm/include/linux/tty_driver.h	2004-02-25 04:14:58.000000000 -0800
@@ -275,6 +275,5 @@ void tty_set_operations(struct tty_drive
 
 /* serial subtype definitions */
 #define SERIAL_TYPE_NORMAL	1
-#define SERIAL_TYPE_CALLOUT	2
 
 #endif /* #ifdef _LINUX_TTY_DRIVER_H */

_
